"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fnNested = void 0;
const fnNested = (depth = 2, tailImplementation, callPath = []) => {
    if (depth < 1 || depth % 1 !== 0)
        throw new Error('Depth must be a whole number greater than 0.');
    if (depth === 1) {
        const tail = jest.fn(tailImplementation);
        tail.callPath = callPath;
        return tail;
    }
    const root = jest.fn((...args) => (0, exports.fnNested)(depth - 1, tailImplementation, [...callPath, args]));
    root.callPath = callPath;
    return root;
};
exports.fnNested = fnNested;
//# sourceMappingURL=chainedMock.js.map